# Uses of Class
org.eclipse.jdt.core.refactoring.participants.ChangeMethodSignatureArguments.Parameter

Packages that use ChangeMethodSignatureArguments.Parameter
Package
Description
org.eclipse.jdt.core.refactoring.participants
Application programming interface to access refactoring participants provided by JDT.

## Uses of ChangeMethodSignatureArguments.Parameter in org.eclipse.jdt.core.refactoring.participants

Methods in org.eclipse.jdt.core.refactoring.participants that return ChangeMethodSignatureArguments.Parameter
Modifier and Type
Method
Description
`ChangeMethodSignatureArguments.Parameter[]`
ChangeMethodSignatureArguments.`getNewParameters()`
Returns the new parameters of this method.
Constructors in org.eclipse.jdt.core.refactoring.participants with parameters of type ChangeMethodSignatureArguments.Parameter
Modifier
Constructor
Description
``
`ChangeMethodSignatureArguments(String newName, String newReturnType, int newVisibility, ChangeMethodSignatureArguments.Parameter[] newParameters, ChangeMethodSignatureArguments.ThrownException[] thrownExceptions, boolean keepOriginal)`
Creates new change method signature arguments.